Event log

Prev Next

Event log

Log of the ticket event.

Event log JSON Format

Event log is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the event log.
ticketId selfIncrementId Id of the ticket which the event log is related to.
createdTime datetime Time when the event log was created.
type string Type of the event log. Allowed values are "edited", "deleted", "recovered", "merged", "draftSaved", "draftDiscarded", "SLARecordAdded", "SLARecordUpdated", "SLARecordDeleted".
createdById guid Id of the role(agent, visitor, system) who triggered the event.
detail string Description of the event log.
createdByType string Type of the role who triggered the event. Allowed values are "contact", "visitor", "chatbot", "channelAccount", "system", "agent".

Get a single Event log

GET ticketing/eventLogs/{id}

  • Parameters:

No Parameters

  • Response:

Event log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/ticketing/eventLogs/aa3f71ac-e64e-492f-ae4f-9be6de29321a \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "aa3f71ac-e64e-492f-ae4f-9be6de29321a",
  "ticketId": "11",
  "createdTime": "2021-05-06T08:29:00.973Z",
  "type": "edited",
  "createdById": "00000000-0000-0000-0000-000000000000",
  "detail": "System updated the Assignee from 'Unassigned' to 'comm100'.",
  "createdByType": "system"
} 

Get the list of Event logs

GET ticketing/tickets/{id}/eventLogs

  • Parameters:

No Parameters

  • Response:

An array of Event log

  • Example

Sample Request:

curl https://api11.comm100.io/v4/ticketing/tickets/aa3f71ac-e64e-492f-ae4f-9be6de29321a/eventLogs \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "aa3f71ac-e64e-492f-ae4f-9be6de29321a",
      "ticketId": "11",
      "createdTime": "2021-05-06T08:29:00.973Z",
      "type": "edited",
      "createdById": "00000000-0000-0000-0000-000000000000",
      "detail": "System updated the Assignee from 'Unassigned' to 'comm100'.",
      "createdByType": "system"
  }
] 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.